export function setBadge(number = 0) {
    // #ifdef APP-PLUS
    // 清除消息角标
    plus.runtime.setBadgeNumber(number)
    if (plus.os.name.toLowerCase() === 'ios') {
        // 导入个推原生类
        const GeTuiSdk = plus.ios.importClass('GeTuiSdk')
        GeTuiSdk?.setBadge(number)
    }
    // #endif
}

export function listen() {
    // 监听在线消息
    uni.onPushMessage((res) => {
        if (res.type !== 'receive') {
            return
        }

        // 创建本地消息
        uni.createPushMessage(res.data)
    })
}
